---
title: RTCRtpSender.getStats()
slug: Web/API/RTCRtpSender/getStats
tags:
  - API
  - Media
  - Method
  - RTCRtpSender
  - Reference
  - WebRTC
  - WebRTC Statistics
  - WebRTC Statistics API
  - getStats
---
<div>{{APIRef("WebRTC")}}</div>

<p>The {{domxref("RTCRtpSender")}} method <code><strong>getStats()</strong></code> asynchronously requests an {{domxref("RTCStatsReport")}} object which provides statistics about outgoing traffic on the {{domxref("RTCPeerConnection")}} which owns the sender, returning a {{jsxref("Promise")}} which is fulfilled when the results are available.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>promise</em> = <em>RTCRtpSender</em>.getStats();
</pre>

<h3 id="Return_value">Return value</h3>

<p>A JavaScript {{jsxref("Promise")}} which is fulfilled once the statistics are available. The promise's fulfillment handler receives as a parameter a {{domxref("RTCStatsReport")}} object containing the collected statistics.</p>

<p>The returned <code>RTCStatsReport</code> accumulates the statistics for all of the streams being sent using the <code>RTCRtpSender</code>, as well as the statistics for any dependencies those streams have.</p>

<h2 id="Example">Example</h2>

<p>This simple example obtains the statistics for an <code>RTCRtpSender</code> and updates an element's {{domxref("Node.innerText", "innerText")}} to display the current round trip time for requests on the sender.</p>

<pre class="brush: js">sender.getStats().then(function(stats) {
  document.getElementById("currentRTT").innerText =
          stats.roundTripTime;
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table" style="height: 49px; width: 1000px;">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#widl-RTCRtpSender-getStats-Promise-RTCStatsReport', 'RTCRtpSender.getStats()') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpSender.getStats")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC_API">WebRTC</a></li>
 <li>{{domxref("RTCStatsReport")}}</li>
 <li>{{domxref("RTCRtpReceiver.getStats()")}}</li>
 <li>{{domxref("RTCPeerConnection.getStats()")}}</li>
</ul>
